<?php

  $editorial_news_agency_theme_custom_setting_css = '';

	// Global Color
	$editorial_news_agency_theme_color = get_theme_mod('editorial_news_agency_theme_color', '#CC0000');

	$editorial_news_agency_theme_custom_setting_css .=':root {';
		$editorial_news_agency_theme_custom_setting_css .='--primary-theme-color: '.esc_attr($editorial_news_agency_theme_color ).'!important;';
	$editorial_news_agency_theme_custom_setting_css .='}';

	// Scroll to top alignment
	$editorial_news_agency_scroll_alignment = get_theme_mod('editorial_news_agency_scroll_alignment', 'right');

	if($editorial_news_agency_scroll_alignment == 'right'){
		$editorial_news_agency_theme_custom_setting_css .='.scroll-up{';
			$editorial_news_agency_theme_custom_setting_css .='right: 30px;!important;';
			$editorial_news_agency_theme_custom_setting_css .='left: auto;!important;';
		$editorial_news_agency_theme_custom_setting_css .='}';
	}else if($editorial_news_agency_scroll_alignment == 'center'){
		$editorial_news_agency_theme_custom_setting_css .='.scroll-up{';
			$editorial_news_agency_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
		$editorial_news_agency_theme_custom_setting_css .='}';
	}else if($editorial_news_agency_scroll_alignment == 'left'){
		$editorial_news_agency_theme_custom_setting_css .='.scroll-up{';
			$editorial_news_agency_theme_custom_setting_css .='left: 30px;!important;';
			$editorial_news_agency_theme_custom_setting_css .='right: auto;!important;';
		$editorial_news_agency_theme_custom_setting_css .='}';
	}

	// Related Product

	$editorial_news_agency_show_related_product = get_theme_mod('editorial_news_agency_show_related_product', true );

	if($editorial_news_agency_show_related_product != true){
		$editorial_news_agency_theme_custom_setting_css .='.related.products{';
			$editorial_news_agency_theme_custom_setting_css .='display: none;';
		$editorial_news_agency_theme_custom_setting_css .='}';
	} 
	
	// Featured Image Hover Effect
    $editorial_news_agency_show_featured = get_theme_mod('editorial_news_agency_featured_image_hide_show', 1);
    $editorial_news_agency_hover_effect = get_theme_mod('editorial_news_agency_single_post_featured_image_hover','none');

    if ( $editorial_news_agency_show_featured && $editorial_news_agency_hover_effect !== 'none' ) {

    $editorial_news_agency_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $editorial_news_agency_hover_effect === 'zoom-in' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $editorial_news_agency_hover_effect === 'zoom-out' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $editorial_news_agency_hover_effect === 'grayscale' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $editorial_news_agency_hover_effect === 'sepia' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $editorial_news_agency_hover_effect === 'blur' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $editorial_news_agency_hover_effect === 'bright' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $editorial_news_agency_hover_effect === 'translate' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $editorial_news_agency_hover_effect === 'scale' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $editorial_news_agency_show_featured = get_theme_mod('editorial_news_agency_featured_image_hide_show', 1);
    $editorial_news_agency_hover_effect = get_theme_mod('editorial_news_agency_product_featured_image_hover','none');

    if ( $editorial_news_agency_show_featured && $editorial_news_agency_hover_effect !== 'none' ) {

    $editorial_news_agency_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $editorial_news_agency_hover_effect === 'zoom-in' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $editorial_news_agency_hover_effect === 'zoom-out' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $editorial_news_agency_hover_effect === 'grayscale' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $editorial_news_agency_hover_effect === 'sepia' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $editorial_news_agency_hover_effect === 'blur' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $editorial_news_agency_hover_effect === 'bright' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $editorial_news_agency_hover_effect === 'translate' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $editorial_news_agency_hover_effect === 'scale' ) {
        $editorial_news_agency_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   